summaryrefslogtreecommitdiffstats
path: root/modules.d/90mdraid/mdraid-needshutdown.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/90mdraid/mdraid-needshutdown.sh')
-rwxr-xr-xmodules.d/90mdraid/mdraid-needshutdown.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/modules.d/90mdraid/mdraid-needshutdown.sh b/modules.d/90mdraid/mdraid-needshutdown.sh
new file mode 100755
index 0000000..f248c4b
--- /dev/null
+++ b/modules.d/90mdraid/mdraid-needshutdown.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+type getarg > /dev/null 2>&1 || . /lib/dracut-lib.sh
+
+for md in /dev/md[0-9_]*; do
+ [ -b "$md" ] || continue
+ need_shutdown
+ break
+done